package com.atlassian.bitbucket.scm;

import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Exception that is thrown when creating a {@link Command} fails.
 *
 * @since 4.4
 */
public class CommandSetupException extends CommandException {

    public CommandSetupException(@Nonnull KeyedMessage message) {
        super(message);
    }

    public CommandSetupException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}
